<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="100dp"
    android:layout_marginVertical="8dp"
    android:background="?android:attr/selectableItemBackground">

    <ImageView
        android:id="@+id/iv_icon"
        android:layout_width="38dp"
        android:layout_height="38dp"
        android:layout_marginStart="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.01"
        tools:ignore="ContentDescription" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginHorizontal="12dp"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/iv_selector"
        app:layout_constraintStart_toEndOf="@id/iv_icon"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_app_name"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:singleLine="true"
            android:textColor="#000000"
            android:textSize="15sp" />


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:orientation="horizontal"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="13dp"
                android:layout_height="13dp"
                android:layout_gravity="center_vertical"
                android:src="@drawable/anzhuang"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/tv_app_install"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:gravity="center_vertical"
                android:includeFontPadding="false"
                android:singleLine="true"
                android:textColor="#666666"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_gravity="center_vertical"
            android:layout_weight="1"
            android:orientation="horizontal"
            tools:ignore="UseCompoundDrawables">

            <ImageView
                android:layout_width="13dp"
                android:layout_height="13dp"
                android:layout_gravity="center_vertical"
                android:src="@drawable/kongjian"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/tv_app_size"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:gravity="center_vertical"
                android:includeFontPadding="false"
                android:textColor="#666666"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_gravity="center_vertical"
            android:layout_weight="1"
            tools:ignore="UseCompatTextViewDrawableXml,UseCompoundDrawables">

            <ImageView
                android:layout_width="13dp"
                android:layout_height="13dp"
                android:layout_gravity="center_vertical"
                android:src="@drawable/zuijin"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/tv_app_last_use"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:gravity="center_vertical"
                android:includeFontPadding="false"
                android:textColor="#666666"
                android:textSize="12sp" />
        </LinearLayout>
    </LinearLayout>

    <ImageView
        android:id="@+id/iv_selector"
        android:layout_width="25dp"
        android:layout_height="25dp"
        android:layout_marginEnd="15dp"
        android:src="@drawable/bg_select_all"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.01"
        tools:ignore="ContentDescription" />

</androidx.constraintlayout.widget.ConstraintLayout>